Namespace
library
Image / Tag
consul:1.9.2
Content Digest
sha256:3b5c20f1ee6cb29741ec390cc4b3e50e02de0ead14b6ada5b1aa8461beb8e29a
Details
Created

2021-01-22 00:01:01 UTC

Size

42.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.9.2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:455793c72b878001f0905634ed52a2524ba51796e7377bf00683a85123f7dce9 - 6.22% (2.66 MB)

[#001] sha256:1a28b498a655e5f63890364a4aa4a6fa70282b3986dd0b8034ff978a8df9aebf - 0.0% (1.21 KB)

[#002] sha256:5dc789b9b6618677a18b9813121f06f9537a1daf5ff84893bedf1a309edf4b96 - 93.77% (40.2 MB)

[#003] sha256:5d93e16ee5f3a25d893087303645ad2d1921100f838b7de5176e4ca260ae6ccc - 0.0% (141 Bytes)

[#004] sha256:291d8059ab881bb3fede51f0f18655ab4d0957d84c57d6b69d51d69582ab4c8e - 0.0% (153 Bytes)

[#005] sha256:8afdaec594273374dd2b6213921b5234defa2b8a3945b484db4e6863f2167968 - 0.0% (1.67 KB)


History
2020-12-17 00:38:32 UTC

/bin/sh -c #(nop) ADD file:de33fda50a142403e842620d20bc4404e66fc4ace16edc6946c4539e8a797458 in /

2020-12-17 00:38:32 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-17 01:24:05 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-01-22 00:00:45 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.2

2021-01-22 00:00:45 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.2

2021-01-22 00:00:45 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-01-22 00:00:46 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-01-22 00:00:58 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pool.sks-keyservers.net --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-01-22 00:00:59 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-01-22 00:00:59 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-01-22 00:01:00 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-01-22 00:01:00 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-01-22 00:01:00 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-01-22 00:01:00 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-01-22 00:01:01 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-01-22 00:01:01 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-01-22 00:01:01 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-01-22 00:34:00 UTC

Size

43.5 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.9.2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:801bfaa63ef2094d770c809815b9e2b9c1194728e5e754ef7bc764030e140cea - 6.14% (2.67 MB)

[#001] sha256:622eed43c213ca04b014ca29d4bd443d339b4ce1697945724870f3f3be81c18b - 0.0% (1.21 KB)

[#002] sha256:063beacf31e763c209cc2be56ab26891df2de15419c483ccd90f4b1d81e0665c - 93.85% (40.8 MB)

[#003] sha256:1e2fca495ba473b83faec23d60822f22d3f2a08ced7024784cd9ef938c2d93b5 - 0.0% (141 Bytes)

[#004] sha256:ed07e71d77a7a297e5cf3bf86ef8e802e9e730e1ffbbee7b9c5d7d93e5936284 - 0.0% (153 Bytes)

[#005] sha256:e475fda5e48743650615e434915ecbfb2e215386499fd5936f757b762b1a8299 - 0.0% (1.67 KB)


History
2020-12-17 00:19:41 UTC

/bin/sh -c #(nop) ADD file:ec475c2abb2d46435286b5ae5efacf5b50b1a9e3b6293b69db3c0172b5b9658b in /

2020-12-17 00:19:42 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-17 13:01:24 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-01-22 00:33:50 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.2

2021-01-22 00:33:51 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.2

2021-01-22 00:33:51 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-01-22 00:33:52 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-01-22 00:33:57 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pool.sks-keyservers.net --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-01-22 00:33:58 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-01-22 00:33:59 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-01-22 00:33:59 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-01-22 00:33:59 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-01-22 00:33:59 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-01-22 00:33:59 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-01-22 00:34:00 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-01-22 00:34:00 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-01-22 00:34:00 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-01-21 21:55:26 UTC

Size

39 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.9.2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:93247449aef3c56eb4f7ab7b3fed95743c974b823def6dd86ec84008126e7903 - 6.38% (2.48 MB)

[#001] sha256:68886bcad55540156824b7334ba6968f2e2aef5edbbdb7c99ce6778a138e5346 - 0.0% (1.23 KB)

[#002] sha256:bf5537d2ff2a79a77ac5c53d677805c1fb4688881a633541faac2a3c4591000b - 93.62% (36.5 MB)

[#003] sha256:c38219ace88131be232012db73dfa3543d0cb585db03a36434b3bedec8de7e2f - 0.0% (173 Bytes)

[#004] sha256:b02356861ba79b91256c9d428795d7d6aae4f95f07bb09cde3a5ba9a743bf390 - 0.0% (153 Bytes)

[#005] sha256:0c65106acd946ef239362e33bcabf1b5d9e6adce96283311e72c2f1a928c0f33 - 0.0% (1.67 KB)


History
2020-12-16 23:49:43 UTC

/bin/sh -c #(nop) ADD file:0a16715e2d0e5811c3c578945d618db0e269847a799340248f9ba8d393c9eec2 in /

2020-12-16 23:49:45 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-17 01:15:28 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-01-21 21:52:56 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.2

2021-01-21 21:52:57 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.2

2021-01-21 21:52:58 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-01-21 21:53:01 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-01-21 21:55:13 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pool.sks-keyservers.net --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-01-21 21:55:18 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-01-21 21:55:21 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-01-21 21:55:22 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-01-21 21:55:23 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-01-21 21:55:24 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-01-21 21:55:24 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-01-21 21:55:25 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-01-21 21:55:26 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-01-21 21:55:26 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-01-22 01:15:41 UTC

Size

39.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.version
    1.9.2

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:159e5727ea618dfe8b08811112e2c51f5bd2b9ae7db9eb214914a65249f70ca0 - 6.6% (2.58 MB)

[#001] sha256:bada9d8146f78d35ba9058649f1a743f8f8effe6da47ad7f3efdc994ba55bf41 - 0.0% (1.23 KB)

[#002] sha256:305af6dcc21c7e5f99fe3059c3f621802851d0a1293fd8c14740b20bb5b75366 - 93.4% (36.6 MB)

[#003] sha256:57dabffb835fa239e023fa6571b5b645ff51b1d40439107a11604e828e316016 - 0.0% (174 Bytes)

[#004] sha256:bcd7d264e592997cfd404dd063958d86c708c1ce911ffcfcdd34bbb6ec0e5e79 - 0.0% (153 Bytes)

[#005] sha256:81738446441aadb1fd34a5df891bf9aca96ae3f40a41bbe34347cae246f212e6 - 0.0% (1.67 KB)


History
2020-12-16 23:40:26 UTC

/bin/sh -c #(nop) ADD file:a4845c3840a3fd0e41e4635a179cce20c81afc6c02e34e3fd5bd2d535698918b in /

2020-12-16 23:40:29 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-12-17 00:36:45 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2021-01-22 01:15:22 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.2

2021-01-22 01:15:22 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=1.9.2

2021-01-22 01:15:23 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-01-22 01:15:25 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-01-22 01:15:32 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pool.sks-keyservers.net --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-01-22 01:15:34 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-01-22 01:15:36 UTC

|1 CONSUL_VERSION=1.9.2 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-01-22 01:15:37 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-01-22 01:15:37 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-01-22 01:15:38 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-01-22 01:15:39 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-01-22 01:15:40 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2021-01-22 01:15:40 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-01-22 01:15:41 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]